package cn.com.qmth.stmms.ms.commons.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description: 读取图片加密配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/27
 */
@Component
@ConfigurationProperties(prefix = "sys.open", ignoreUnknownFields = false)
public class ImageConfig {

    private boolean imageEnc;//是否开启图片加密

    private boolean customSubject;//是否开启自定义科目考试

    public boolean isCustomSubject() {
        return customSubject;
    }

    public void setCustomSubject(boolean customSubject) {
        this.customSubject = customSubject;
    }

    public boolean isImageEnc() {
        return imageEnc;
    }

    public void setImageEnc(boolean imageEnc) {
        this.imageEnc = imageEnc;
    }
}
